/*
This is a screen saver which uses colormap animation, a simple technique
to achieve seemingly complicated motion.  The entire source of this
program is provided for your convenience.  If you find it useful, I'll
appreciate if you'll send me $10.  Send the check to:

CMAP registration
c/o: Sin-Yaw Wang
5878 W. Walbrook Dr.
San Jose, CA 95129

You can also contact me at sinyaw@netcom.com.

*/
#ifndef __main_H__
#define __main_H__

#include "cscrnsvr.h"

class CMainWindow : public CScreenSaverWindow
{
	const UINT timerid;
	const UINT speed;
	const double PI;			/* pi */
	const double INIT_PHASE;	/* seed to generate the smooth cmap */
	CPalette *cmap;				/* colormap, or palette */
	LOGPALETTE *entry;			/* colormap entries */
	PALETTEENTRY *animate;		/* a copy of cmap to animate with */
	int cmap_size;				/* size of the cmap */
public:
	CMainWindow();
	~CMainWindow();

	afx_msg void OnTimer(UINT);
	afx_msg BOOL OnEraseBkgnd(CDC *);
	afx_msg int OnCreate(LPCREATESTRUCT);
	DECLARE_MESSAGE_MAP()
};

class CTheApp : public CWinApp
{
public:
	BOOL InitInstance();
};


#endif // __main_H__



